Subject: [clisp-list] Re: clisp 2.32 with clx

From: Joe Corneli <[email-masked]>
Date: Fri Mar 5 22:33:01 2004

I also am having trouble with clx (I'm trying the mit variant) --
but I'm using clisp 2.29 because I also need to use asdf and I
couldn't get it working in 2.32.

Here is what I get from CLISP if I just try to load clx.fas:

;;  Loading file /Users/arided/Lisp/clisp-2.29/modules/clx/mit-clx/clx.fas ...
*** - There is no package with name "XLIB"
1. Break [1]> 

I guess I just should be loading something different instead or
first?

If I try to run the demo using the directions in the mit-clx README,
what I get is this:

[mit-clx]% clisp29 -M clx.mem -m 4MB
*snip*

[1]>   (cd "demo/")
[1]>   (cd "demo/")
#P"/Users/arided/Lisp/clisp-2.29/modules/clx/mit-clx/demo/"
[2]>   (load "hello")
[2]>   (load "hello")
;; Loading file /Users/arided/Lisp/clisp-2.29/modules/clx/mit-clx/demo/hello.lisp ...
;; Loading of file /Users/arided/Lisp/clisp-2.29/modules/clx/mit-clx/demo/hello.lisp is finished.
T
[3]>   (xlib::hello-world "")
[3]>   (xlib::hello-world "")

*** - Connection failure to X11.0 server  display 0: 
No protocol specified

1. Break [4]> 

Should I quit my window manager first, or is there something else to do?